# Method: projects.locations.ruleSets.get

Gets a ruleset. Returns NOT_FOUND if the ruleset does not exist.

### HTTP request

`GET https://contentwarehouse.googleapis.com/v1/{name}`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the rule set to retrieve. Format: projects/{projectNumber}/locations/{location}/ruleSets/{rule_set_id}. It takes the form `projects/{project}/locations/{location}/ruleSets/{ruleset}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/document-warehouse/docs/reference/rest/v1/projects.locations.ruleSets#RuleSet`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `contentwarehouse.ruleSets.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).